Installation

Collin Tokheim edited this page Dec 8, 2016 · 4 revisions

HotMAPS is intended to be ran on linux operating systems.

Python

The python code depends on the following python libraries (listed in requirements.txt):

  • numpy
  • scipy
  • biopython
  • pandas
  • MySQL-python

The necessary python libraries can be installed through pip.

$ pip install -r requirements.txt

If you want to use exact versions used in the development of HotMAPS, then use the requirements_dev.txt file:

$ pip install -r requirements_dev.txt